@echo off

REM +--------------------------------------------------------------------------------+
REM |                                                                                |
REM |      This script forces a shutdown of all running officeatwork as well as      |
REM |      MS Word, MS PowerPoint and MS Excel tasks. Afterwards all necessary       |
REM |      officeatwork processes will be restarted.                                 |
REM |                                                                                |
REM |                             USE AT YOUR OWN RISK!                              |
REM |                                   ENJOY! ;-)                                   |
REM |                                                                                |
REM +--------------------------------------------------------------------------------+



REM +--------------------------------------------------------------------------------+
REM      CONFIGURATION
REM +--------------------------------------------------------------------------------+

REM      - GUI COLOR -
color 0B

REM      - CLIENT SUITE PATH VARIABLES -
set OAW86=%programfiles%\officeatwork\
set OAW64=%programfiles(x86)%\officeatwork\

set OAW45X86=%programfiles%\officeatwork\ClientSuite\
set OAW45X64=%programfiles(x86)%\officeatwork\ClientSuite\
set OAW43X86=%programfiles%\officeatwork\Support\
set OAW43X64=%programfiles(x86)%\officeatwork\Support\

set OAWC43X86=%programfiles%\officeatwork\Common\
set OAWC43X64=%programfiles(x86)%\officeatwork\Common\

set TERM45X86=%programfiles%\officeatwork\ClientSuite\TermOaw.exe
set TERM45X64=%programfiles(x86)%\officeatwork\ClientSuite\TermOaw.exe
set TERM43X86=%programfiles%\officeatwork\Support\TermOaw.exe
set TERM43X64=%programfiles(x86)%\officeatwork\Support\TermOaw.exe

set TRAY45X86=%programfiles%\officeatwork\ClientSuite\oawTray.exe
set TRAY45X64=%programfiles(x86)%\officeatwork\ClientSuite\oawTray.exe
set TRAY43X86=%programfiles%\officeatwork\Common\oawTray.exe
set TRAY43X64=%programfiles(x86)%\officeatwork\Common\oawTray.exe



REM +--------------------------------------------------------------------------------+
REM      CHECK OFFICEATWORK CLIENT SUITE VERSION
REM +--------------------------------------------------------------------------------+

if exist "%OAW86%" (goto TERMINATE) else if exist "%OAW64%" (goto TERMINATE) else goto NOAW



REM +--------------------------------------------------------------------------------+
REM      OFFICEATWORK CLIENT SUITE NOT INSTALLED
REM +--------------------------------------------------------------------------------+

:NOAW
echo. & echo. & echo. & echo.
echo.     +---------------------------------------------+
echo.     ^| officeatwork Client Suite is not installed! ^|
echo.     +---------------------------------------------+
goto END



REM +--------------------------------------------------------------------------------+
REM      TERMINATE OFFICEATWORK PROCESSES
REM +--------------------------------------------------------------------------------+

:TERMINATE
if exist "%OAW45X86%" (start "" "%TERM45X86%") else if exist "%OAW45X64%" (start "" "%TERM45X64%") else if exist "%OAW43X86%" (start "" "%TERM43X86%") else if exist "%OAW43X64%" start "" "%TERM43X64%"

echo. & echo. & echo. & echo.     please wait...
echo.     +---------------------------------+
echo.     ^|                                 ^|
echo.     +---------------------------------+
echo.     Progress - 0%%
goto TASKKILL



REM +--------------------------------------------------------------------------------+
REM      TERMINATE TASKS
REM +--------------------------------------------------------------------------------+

:TASKKILL
taskkill /im WINWORD.EXE /F >nul 2>&1
taskkill /im POWERPNT.EXE /F >nul 2>&1
taskkill /im EXCEL.EXE /F >nul 2>&1
taskkill /im officeatwork.SolutionManager.exe /F >nul 2>&1
taskkill /im oawstm.exe /F >nul 2>&1
taskkill /im oawtm.exe /F >nul 2>&1
taskkill /im officeatwork.WordMasterTemplateManager.exe /F >nul 2>&1
taskkill /im oawWdScm.exe /F >nul 2>&1
taskkill /im "officeatwork Template-Chooser.exe" /F >nul 2>&1
taskkill /im officeatwork.PowerPointMasterTemplateManager.exe /F >nul 2>&1
taskkill /im officeatwork.PowerPointSmartContentManager.exe /F >nul 2>&1
taskkill /im officeatwork.Sync.exe /F >nul 2>&1
taskkill /im oScUp.exe /F >nul 2>&1
taskkill /im oStUp.exe /F >nul 2>&1
taskkill /im officeatwork.exe /F >nul 2>&1
taskkill /im oawscm.exe /F >nul 2>&1
taskkill /im oawAPI.exe /F >nul 2>&1

cls
goto LOADINGBAR



REM +--------------------------------------------------------------------------------+
REM      START OFFICEATWORK PROCESSES
REM +--------------------------------------------------------------------------------+

:TRAYSTART
if exist "%OAW45X86%" (start "" "%TRAY45X86%") else if exist "%OAW45X64%" (start "" "%TRAY45X64%") else if exist "%OAWC43X86%" (start "" "%TRAY43X86%") else if exist "%OAWC43X64%" start "" "%TRAY43X64%"
goto LOADINGBAR2



REM +--------------------------------------------------------------------------------+
REM      LOADINGBAR
REM +--------------------------------------------------------------------------------+

:LOADINGBAR
echo. & echo. & echo. & echo.     please wait...
echo.     +---------------------------------+
echo.     ^|                                 ^|
echo.     +---------------------------------+
echo.     Progress - 0%%
timeout 0 >nul

cls
echo. & echo. & echo. & echo.     please wait...
echo.     +---------------------------------+
echo.     ^|                              ^|
echo.     +---------------------------------+
echo.     Progress - 8%%
timeout 0 >nul

cls
echo. & echo. & echo. & echo.     please wait...
echo.     +---------------------------------+
echo.     ^|                           ^|
echo.     +---------------------------------+
echo.     Progress - 15%%
timeout 0 >nul

cls
echo. & echo. & echo. & echo.     please wait...
echo.     +---------------------------------+
echo.     ^|                        ^|
echo.     +---------------------------------+
echo.     Progress - 33%%
timeout 0 >nul

cls
echo. & echo. & echo. & echo.     please wait...
echo.     +---------------------------------+
echo.     ^|                     ^|
echo.     +---------------------------------+
echo.     Progress - 38%%
timeout 0 >nul

cls
echo. & echo. & echo. & echo.     please wait...
echo.     +---------------------------------+
echo.     ^|                  ^|
echo.     +---------------------------------+
echo.     Progress - 49%%
timeout 0 >nul

cls
echo. & echo. & echo. & echo.     please wait...
echo.     +---------------------------------+
echo.     ^|               ^|
echo.     +---------------------------------+
echo.     Progress - 60%%
timeout 0 >nul

cls
echo. & echo. & echo. & echo.     please wait...
echo.     +---------------------------------+
echo.     ^|            ^|
echo.     +---------------------------------+
echo.     Progress - 66%%

goto TRAYSTART
:LOADINGBAR2

cls
echo. & echo. & echo. & echo.     please wait...
echo.     +---------------------------------+
echo.     ^|         ^|
echo.     +---------------------------------+
echo.     Progress - 74%%
timeout 0 >nul

cls
echo. & echo. & echo. & echo.     please wait...
echo.     +---------------------------------+
echo.     ^|      ^|
echo.     +---------------------------------+
echo.     Progress - 86%%
timeout 0 >nul

cls
echo. & echo. & echo. & echo.     please wait...
echo.     +---------------------------------+
echo.     ^|   ^|
echo.     +---------------------------------+
echo.     Progress - 92%%
timeout 0 >nul

cls
echo. & echo. & echo. & echo.     please wait...
echo.     +---------------------------------+
echo.     ^| ^|
echo.     +---------------------------------+
echo.     Progress - 99%%
timeout 0 >nul

cls
echo. & echo. & echo. & echo.     officeatwork successfully restarted!
echo.     +---------------------------------+
echo.     ^|^|
echo.     +---------------------------------+
echo.     Progress - 100%%

goto END



REM +--------------------------------------------------------------------------------+
REM      FINISHING STEPS
REM +--------------------------------------------------------------------------------+

:END
timeout 2 >nul




REM +--------------------------------------------------------------------------------+
REM |      V.4.5.2.0 - CREATED BY ADAY JULIUS - ENJOY! ;-)                           |
REM +--------------------------------------------------------------------------------+
